version 17

putdocx begin, header(dino)

putdocx paragraph, toheader(dino) 
putdocx image dinosaur.png, height(1.9) width(1.9)

putdocx textblock begin, style(Title)
Natural History Museum: A glance at this quarter
putdocx textblock end

putdocx paragraph
putdocx textfile exhibitq1.txt, stopat("ahead")

putdocx paragraph, style(Heading1)
putdocx text ("Attendance")

use 18_nhmq1.dta, clear
graph bar attendance, over(month) blabel(bar,) asyvars ///
		title("Museum attendance") ytitle("") ///
		legend(rows(1)) ylabel(,angle(horizontal))
graph export attend.png, replace
		
putdocx paragraph
putdocx image attend.png, width(3)

putdocx paragraph, style(Heading1)
putdocx text ("Gift shop sales")

graph bar sales, over(month) blabel(bar,) asyvars ///
		title("Museum gift shop sales ($)") ytitle("") ///
		legend(rows(1)) ylabel(,angle(horizontal))
graph export sales.png, replace
putdocx paragraph
putdocx image sales.png, width(3)

putdocx save report, replace